# pht\AtomicInteger::__construct

(PECL pht >= 0.0.1)

pht\AtomicInteger::__construct — AtomicInteger creation

### Description

public pht\AtomicInteger::__construct ([ int `$value` = 0 ] ) : AtomicInteger

Handles the creation of a new atomic integer.

### Parameters

`value`

  The value to initialise the atomic integer to.

### Return Values

No return value.

### Examples

Example #1 Creating a new atomic integer

`<?php
use pht\AtomicInteger;
$atomicInteger = new AtomicInteger(100);
var_dump($atomicInteger->get());`

The above example will output:

    int(100)